<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
include("../include/get.inc.php");
$style="arial_sadmin";
connexion("$db");
opensession("Sadmin",false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}
	
// $action contiendra le traitement envisagé parmi creer, modif, suppr
// Dans le cas de modif, $etab_id est renseigné  par l'appel
$action="modif";



if (!isset($traitetab)) {  //premier passage : on affiche le formulaire
    $etab_id=$_GET['etab_id'];; //passage de etab_id par l'URL
    session_puts("etab_id");
    getparams_etab($etab_id);
    include("./etab_form.php");//affichage du formulaire
}
else {
    //traitement du formulaire
    //========================
    if (isset($btn_sauver)) {
        //print_r($_POST);
       //Mise à la norme des booléens
       if (isset($chgt_theme)) $chgt_theme=1; else $chgt_theme=0;
       if (isset($alert_message_vide)) $alert_message_vide=1; else $alert_message_vide=0;
       if (isset($mdp_elev_etab)) $mdp_elev_etab=1; else $mdp_elev_etab=0;
       if (isset($mdp_prof_etab)) $mdp_prof_etab=1; else $mdp_prof_etab=0;
       if (isset($fiche_prof_etab)) $fiche_prof_etab=1; else $fiche_prof_etab=0;
       if (isset($stats_prof_etab)) $stats_prof_etab=1; else $stats_prof_etab=0;
       //$modifs_items_etab=bool($modifs_items_etab);
       if (isset($valid_profs_etab)) $valid_profs_etab=1; else $valid_profs_etab=0;
       if (isset($result_profs_etab)) $result_profs_etab=1; else $result_profs_etab=0;

       $resetab=query("SELECT rne
                         FROM etablissements
                        WHERE rne='$rne_etab' and etab_id<>$etab_id;");
       if (mysql_num_rows($resetab)>0) {
           alert("Le RNE de l'établissement existe déjà.");
           gohistory(-1);//goto("sadmin_bas.php");
       }

       if (!$rne_etab) $rne_etab=$etab_id; //ne doit pas avoir lieu (sauf version 3.0 ?)
       if (!$old_rne) $old_rne=$etab_id;   //ne doit pas avoir lieu (sauf version 3.0 ?)
       if ($rne_etab!=$old_rne)  { //changement de RNE : modifier répertoire perso
           if (is_dir("$DATA/$old_rne")) {
                    if (!@rename("$DATA/$old_rne","$DATA/$rne_etab")) {
                       alert("Problème pour renommer le répertoire personnel,\n         faites-le à la main \n après avoir vérifié les droits d'Apache sur $DATA/$old_rne !");
                       goto("sadmin_bas.php");
                    }
           }
           if ($DATA!=$HIDEDATA && is_dir("$HIDEDATA/$old_rne")) {
                    if (!@rename("$HIDEDATA/$old_rne","$HIDEDATA/$rne_etab")) {
                       alert("Problème pour renommer le répertoire personnel,\n         faites-le à la main \n après avoir vérifié les droits d'Apache sur $DATA/$old_rne !");
                       goto("sadmin_bas.php");
                    }
           }

       }
       //quelques addslashes de Thierry Martin !
       //Inutiles avec la fonction secs ! 06-2007
        //$nom_etab=addslashes($nom_etab);
        //$adresse_etab=addslashes($adresse_etab);
        //$ville_etab=addslashes($ville_etab);


       //sauvegarder des paramètres dans la table _Etablissement
       $sqlsauve="UPDATE etablissements
                  SET rne='".secs($rne_etab)."', type_id=".seci($type_etab).", nom='".secs($nom_etab)."',
                  adresse='".secs($adresse_etab)."', codepostal='".secs($codepost_etab)."',
                  ville='".secs($ville_etab)."', theme='".secs($theme_etab)."', chgt_theme=".seci($chgt_theme).",
                  niveau='".secs($niveau_etab)."', nb_validations=".seci($nbval_etab).",
                  nbj_vie_demande=".seci($nbjvie_etab).", nb_max_demandes=".seci($maxdemande_etab).",
                  nb_max_refus=".seci($maxrefus_etab)." ,
                  alert_message_vide=".seci($alert_message_vide)." ,
                  modele_login_e='".secs($modelelogin_elev_etab)."',
                  modele_login_p='".secs($modelelogin_prof_etab)."',
                  mdp_eleve=".seci($mdp_elev_etab)." , mdp_prof=".seci($mdp_prof_etab)." ,
                  fiche_profs=".seci($fiche_prof_etab)." , stats_profs=".seci($stats_prof_etab)." ,
                  valid_profs=".seci($valid_profs_etab)." , result_profs=".seci($result_profs_etab)." 
                  WHERE etab_id=".seci($etab_id );
       query($sqlsauve);


       //on peut envoyer la purée HTML à partir de là

       print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
       print "<html><head>\n";
       print "<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\n";
       print "<title>Modification d'un établissement</title>\n";
       print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
       print "</head>";
       print "<body class=\"arial_sadmin\">\n";
       print "<h2 align=\"center\">Modification d'un établissement</h2>\n";
       print "<p>&nbsp;</p>\n";
       print "Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
              avec succ&egrave;s<br>";
       print "<form name=\"form1\" method=\"post\" action=\"listetab.php\">";
       print "<p align=\"center\">";
       print "<input type=\"submit\" name=\"envoi\" value=\"Suite\">";
       print "</p></form></body></html>";
    }
    else {
        goto("listetab.php");
    }
} //else traitement du formulaire
?>
